date: 2005-11-20 02:54:29
ispublic: 1
source: http://farm1.static.flickr.com/67/172275964_5fb9027e85_o.jpg
tags: me, people, Obninsk
title: Obninsk
url: http://www.flickr.com/photos/umonkey/172275964/
---
Myself in front of the Obninsk memorial.